Bug Hunting Session
Bug 55495 - Recent fonts list only updated on mouse click and not on Enter key
Summary: Recent fonts list only updated on mouse click and not on Enter key
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fonts
  Show dependency treegraph
 
Reported: 2012-10-01 12:45 UTC by Bogdan Stăncescu
Modified: 2019-09-26 03:03 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bogdan Stăncescu 2012-10-01 12:45:59 UTC
The recent fonts list (the sub-list at the top of the font selection dialog) should contain all recently selected fonts, regardless of how they were selected. In reality, font selection must occur by explicitly clicking the font in the font list; using the Enter key on the keyboard does *NOT* include the selected font in the recent fonts list.

Steps to reproduce:
1. Start a new document (the recent fonts list must be empty, i.e. hidden)
2. Write some text in the document
3. Select some of the text
4. Click on the font selection drop-down list
5. Type the first few letters of a font (e.g. "Cour")
6. Press key Enter on the keyboard
7. Reopen the font selection drop-down

Expected results: the recent fonts list should contain the newly-applied font.

Actual results: the recent fonts list is still empty.

Note: if the font is selected using a mouse click instead of the keyboard at step (6) then the application behaves as expected.
Comment 1 A (Andy) 2013-03-01 21:50:23 UTC
reproducible with LO 4.0.0.3 (Win7 Home, 64bit)
Comment 2 QA Administrators 2015-02-19 15:36:38 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-07 12:48:57 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 4 sergio.callegari 2016-03-27 22:43:17 UTC
Shouldn't it contain the fonts most frequently used in the current document?

Having it list the most frequently used fonts regardless of the document that is open is likely not to be helpful because different documents require different fonts.

The extreme case is someone who alternates 2 kinds of documents: documents of type A and documents of type B, using different font sets.

When working on a document of type A, the user selects the fonts he need. At the end of the editing, the font dropdown finally lists these fonts on top. But at this point, the author moves to a document of type B, and the dropdown lists on top the fonts used in documents of type A. Patiently, the user picks the fonts he needs when needed. At the end of the work, the font dropdown lists on top the fonts used in documents of type B. But now the user moves to a document of type A...
Comment 5 QA Administrators 2017-05-22 13:18:58 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2017-09-16 20:23:48 UTC
(In reply to sergio.callegari from comment #4)
> Shouldn't it contain the fonts most frequently used in the current document?
Adding keyword needsUXeval due to question in comment 4.
Comment 7 Yousuf Philips (jay) (retired) 2017-09-17 16:45:13 UTC
The list is of the recently selected fonts, so it should also work with the enter key. Whether the list should instead be of the fonts used in a document would be something to discuss in another bug report.
Comment 8 Heiko Tietze 2017-09-18 11:14:23 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> The list is of the recently selected fonts, so it should also work with the
> enter key. Whether the list should instead be of the fonts used in a
> document would be something to discuss in another bug report.

Fully agreed. It's a bug and when the default behavior is challenged we discuss it better in another ticket.

(Two cents: Recently used fonts is a different use case to document fonts; switching requires to update the list on load and has a drawback for those who expect the list being filled from previous documents. The supposed way to deal with fonts is via styles that provide both workflows.)
Comment 9 QA Administrators 2018-09-19 02:51:47 UTC Comment hidden (obsolete)
Comment 10 Thomas Lendo 2018-09-19 14:22:37 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: de-AT (de_AT); Calc: CL
Comment 11 QA Administrators 2019-09-26 03:03:09 UTC
Dear Bogdan Stăncescu,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug